be.fgov.ehealth.dics.protocol.v5

## Class ConsultAmppComponentType

- java.lang.Object
- - be.fgov.ehealth.dics.protocol.v5.ConsultAmppComponentType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-09T10:47:55+01:00",
                 comments="JAXB RI v2.3.7")
      public class ConsultAmppComponentType
      extends Object
      implements Serializable

  Java class for ConsultAmppComponentType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ConsultAmppComponentType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="AmpcSequenceNr" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
               <element name="ContentType" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="ContentMultiplier" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
               <element name="PackSpecification" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="DeviceType" type="{urn:be:fgov:ehealth:dics:protocol:v5}DeviceTypeType" minOccurs="0"/>
               <element name="PackagingClosure" type="{urn:be:fgov:ehealth:dics:protocol:v5}PackagingClosureType" maxOccurs="unbounded" minOccurs="0"/>
               <element name="PackagingMaterial" type="{urn:be:fgov:ehealth:dics:protocol:v5}PackagingMaterialType" maxOccurs="unbounded" minOccurs="0"/>
               <element name="PackagingType" type="{urn:be:fgov:ehealth:dics:protocol:v5}PackagingTypeType"/>
               <element name="AdditionalFields" type="{urn:be:fgov:ehealth:dics:protocol:v5}AdditionalFieldsType" maxOccurs="unbounded" minOccurs="0"/>
               <element name="AmppComponentEquivalent" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultAmppComponentEquivalentType" maxOccurs="unbounded"/>
             </sequence>
             <attGroup ref="{urn:be:fgov:ehealth:dics:protocol:v5}validityPeriod"/>
             <attribute name="SequenceNr" use="required" type="{http://www.w3.org/2001/XMLSchema}int" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConsultAmppComponentType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<AdditionalFieldsType>` | `getAdditionalFields()` Gets the value of the additionalFields property.
    `Integer` | `getAmpcSequenceNr()` Gets the value of the ampcSequenceNr property.
    `List<ConsultAmppComponentEquivalentType>` | `getAmppComponentEquivalents()` Gets the value of the amppComponentEquivalents property.
    `Integer` | `getContentMultiplier()` Gets the value of the contentMultiplier property.
    `String` | `getContentType()` Gets the value of the contentType property.
    `DeviceTypeType` | `getDeviceType()` Gets the value of the deviceType property.
    `org.joda.time.DateTime` | `getEndDate()` Gets the value of the endDate property.
    `List<PackagingClosureType>` | `getPackagingClosures()` Gets the value of the packagingClosures property.
    `List<PackagingMaterialType>` | `getPackagingMaterials()` Gets the value of the packagingMaterials property.
    `PackagingTypeType` | `getPackagingType()` Gets the value of the packagingType property.
    `String` | `getPackSpecification()` Gets the value of the packSpecification property.
    `int` | `getSequenceNr()` Gets the value of the sequenceNr property.
    `org.joda.time.DateTime` | `getStartDate()` Gets the value of the startDate property.
    `void` | `setAmpcSequenceNr(Integer value)` Sets the value of the ampcSequenceNr property.
    `void` | `setContentMultiplier(Integer value)` Sets the value of the contentMultiplier property.
    `void` | `setContentType(String value)` Sets the value of the contentType property.
    `void` | `setDeviceType(DeviceTypeType value)` Sets the value of the deviceType property.
    `void` | `setEndDate(org.joda.time.DateTime value)` Sets the value of the endDate property.
    `void` | `setPackagingType(PackagingTypeType value)` Sets the value of the packagingType property.
    `void` | `setPackSpecification(String value)` Sets the value of the packSpecification property.
    `void` | `setSequenceNr(int value)` Sets the value of the sequenceNr property.
    `void` | `setStartDate(org.joda.time.DateTime value)` Sets the value of the startDate property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConsultAmppComponentType

          public ConsultAmppComponentType()

  - ### Method Detail

    - #### getAmpcSequenceNr

          public Integer getAmpcSequenceNr()

      Gets the value of the ampcSequenceNr property.
      Returns:
        possible object is `Integer`

    - #### setAmpcSequenceNr

          public void setAmpcSequenceNr(Integer value)

      Sets the value of the ampcSequenceNr property.
      Parameters:
        `value` - allowed object is `Integer`

    - #### getContentType

          public String getContentType()

      Gets the value of the contentType property.
      Returns:
        possible object is `String`

    - #### setContentType

          public void setContentType(String value)

      Sets the value of the contentType property.
      Parameters:
        `value` - allowed object is `String`

    - #### getContentMultiplier

          public Integer getContentMultiplier()

      Gets the value of the contentMultiplier property.
      Returns:
        possible object is `Integer`

    - #### setContentMultiplier

          public void setContentMultiplier(Integer value)

      Sets the value of the contentMultiplier property.
      Parameters:
        `value` - allowed object is `Integer`

    - #### getPackSpecification

          public String getPackSpecification()

      Gets the value of the packSpecification property.
      Returns:
        possible object is `String`

    - #### setPackSpecification

          public void setPackSpecification(String value)

      Sets the value of the packSpecification property.
      Parameters:
        `value` - allowed object is `String`

    - #### getDeviceType

          public DeviceTypeType getDeviceType()

      Gets the value of the deviceType property.
      Returns:
        possible object is `DeviceTypeType`

    - #### setDeviceType

          public void setDeviceType(DeviceTypeType value)

      Sets the value of the deviceType property.
      Parameters:
        `value` - allowed object is `DeviceTypeType`

    - #### getPackagingClosures

          public List<PackagingClosureType> getPackagingClosures()

      Gets the value of the packagingClosures property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the packagingClosures property.

      For example, to add a new item, do as follows:

              getPackagingClosures().add(newItem);

      Objects of the following type(s) are allowed in the list `PackagingClosureType`

    - #### getPackagingMaterials

          public List<PackagingMaterialType> getPackagingMaterials()

      Gets the value of the packagingMaterials property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the packagingMaterials property.

      For example, to add a new item, do as follows:

              getPackagingMaterials().add(newItem);

      Objects of the following type(s) are allowed in the list `PackagingMaterialType`

    - #### getPackagingType

          public PackagingTypeType getPackagingType()

      Gets the value of the packagingType property.
      Returns:
        possible object is `PackagingTypeType`

    - #### setPackagingType

          public void setPackagingType(PackagingTypeType value)

      Sets the value of the packagingType property.
      Parameters:
        `value` - allowed object is `PackagingTypeType`

    - #### getAdditionalFields

          public List<AdditionalFieldsType> getAdditionalFields()

      Gets the value of the additionalFields property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the additionalFields property.

      For example, to add a new item, do as follows:

              getAdditionalFields().add(newItem);

      Objects of the following type(s) are allowed in the list `AdditionalFieldsType`

    - #### getAmppComponentEquivalents

          public List<ConsultAmppComponentEquivalentType> getAmppComponentEquivalents()

      Gets the value of the amppComponentEquivalents property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the amppComponentEquivalents property.

      For example, to add a new item, do as follows:

              getAmppComponentEquivalents().add(newItem);

      Objects of the following type(s) are allowed in the list `ConsultAmppComponentEquivalentType`

    - #### getSequenceNr

          public int getSequenceNr()

      Gets the value of the sequenceNr property.

    - #### setSequenceNr

          public void setSequenceNr(int value)

      Sets the value of the sequenceNr property.

    - #### getStartDate

          public org.joda.time.DateTime getStartDate()

      Gets the value of the startDate property.
      Returns:
        possible object is `String`

    - #### setStartDate

          public void setStartDate(org.joda.time.DateTime value)

      Sets the value of the startDate property.
      Parameters:
        `value` - allowed object is `String`

    - #### getEndDate

          public org.joda.time.DateTime getEndDate()

      Gets the value of the endDate property.
      Returns:
        possible object is `String`

    - #### setEndDate

          public void setEndDate(org.joda.time.DateTime value)

      Sets the value of the endDate property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSAUDIOLOGIST 4.8.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.